package com.tptj.demo.hg.embed.request.filter;

import com.fanruan.api.log.LogKit;
import com.fr.decision.fun.impl.AbstractEmbedRequestFilterProvider;
import com.fr.intelli.record.Focus;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.web.utils.WebUtils;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-26
 **/
@EnableMetrics
public class Demo extends AbstractEmbedRequestFilterProvider {
    @Override
    @Focus(id = "com.tptj.demo.hg.embed.request.filter.v10",text = "embed filter")
    public void filter(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
        LogKit.info( "EmbedRequestFilter:path={},ip={}", request.getPathInfo(), WebUtils.getIpAddr(request) );
    }
}
