package com.tptj.demo.hg.embed.request.filter;

import com.fanruan.api.log.LogKit;
import com.fr.decision.fun.impl.AbstractEmbedRequestFilterProvider;
import com.fr.web.utils.WebUtils;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-26
 * 该demo展示了，多个Embed filter是可以同时生效的。在不抛错的前提下相互独立。
 * 且同一插件内，多个Embed filter的执行顺序为先在plugin.xml中申明的先执行
 **/
public class NextDemo extends AbstractEmbedRequestFilterProvider {

    @Override
    public void filter(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
        LogKit.info( "NextFilter:path={},ip={}", request.getPathInfo(), WebUtils.getIpAddr(request) );
    }
}
